@import "../../colors";

#filter {
  display: flex;
  height: 75px;

  #sort {
    display: flex;

    > * {
      text-align: center;
      margin: 0 3px;
    }

    label {
      min-width: 100px;
      display: flex;
      align-items: center;
      justify-content: center;
    }

    button,
    input {
      margin: 7px 0;
      justify-content: center;
      border: 1px solid lighten($gray, 20%);
      border-width: 1px 0 1px 1px;
      background-color: unset;
      color: $gray;
      position: relative;
      min-width: unset;
      border-radius: 0;

      &:hover {
        top: unset;
        box-shadow: unset;
      }

      &:active {
        top: 2px;
      }

      &:last-child {
        border-width: 1px 1px 1px 1px;
      }

      i {
        margin-left: 3px;
      }

      &:hover {
        background-color: darken(#fff, 3%);
      }
    }
  }
}

#list {
  max-height: calc(100vh - 300px);
  overflow-y: auto;
  overflow-x: hidden;
  margin: 0 15px 15px 15px;
  padding: 0;

  a {
    list-style: none;
    border: 1px solid lighten($gray, 30%);
    padding: 10px 15px;
    border-width: 1px 1px 0 7px;
    font-size: 90%;
    display: flex;
    align-items: center;
    cursor: pointer;
    transition: all 200ms;
    background-color: #fff;
    text-decoration: none;

    &:last-child {
      border-width: 1px 1px 1px 7px;
    }

    // sent
    &.sent {
      border-left-color: $red;
    }

    // recived
    &.recived {
      border-left-color: $yellow;
    }

    // payed
    &.payed {
      border-left-color: $green;
    }

    .date {
      text-transform: capitalize;
      margin-right: 20px;
      opacity: 0.5;
    }

    .img-box {
      border: 1px solid lighten($gray, 40%);
      width: 40px;
      height: 40px;
      display: inline-block;
      background-color: lighten($gray, 49%);
      margin-right: 20px;

      img {
        width: 100%;
        height: 100%;
      }
    }

    strong {
      font-weight: 700;
      font-size: 105%;
    }

    .amount {
      margin-left: auto;
      font-size: 110%;
      letter-spacing: 1px;
    }

    &:hover {
      box-shadow: $light-box-shadow;
      transform: scale(0.995, 1.005);
      background-color: darken(#fff, 1%);
    }
  }
}
